Package ghidra.program.model.listing

# Enum Class CodeUnitFormatOptions.ShowNamespace

java.lang.Object
java.lang.Enum<CodeUnitFormatOptions.ShowNamespace>
ghidra.program.model.listing.CodeUnitFormatOptions.ShowNamespace

All Implemented Interfaces:
  `Serializable`, `Comparable<CodeUnitFormatOptions.ShowNamespace>`, `Constable`

Enclosing class:
  `CodeUnitFormatOptions`

public static enum CodeUnitFormatOptions.ShowNamespace extends Enum<CodeUnitFormatOptions.ShowNamespace>
`ShowNamespace` defines the valid options for controlling the display of name-spaces on labels.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  Indicator to always show namespace for a label reference..
  `LOCAL`
  Indicator to show namespace for a label reference if the label is in the same namespace as the reference location (i.e., local to function).
  `NEVER`
  Indicator to never the show namespace for a label reference.
  `NON_LOCAL`
  Indicator to show namespace for a label reference if the label is in a different namespace from the referenced location.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CodeUnitFormatOptions.ShowNamespace`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CodeUnitFormatOptions.ShowNamespace[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final CodeUnitFormatOptions.ShowNamespace NEVER
    Indicator to never the show namespace for a label reference.

  - ### ALWAYS

    public static final CodeUnitFormatOptions.ShowNamespace ALWAYS
    Indicator to always show namespace for a label reference..

  - ### NON_LOCAL

    public static final CodeUnitFormatOptions.ShowNamespace NON_LOCAL
    Indicator to show namespace for a label reference if the label is in a different namespace from the referenced location.

  - ### LOCAL

    public static final CodeUnitFormatOptions.ShowNamespace LOCAL
    Indicator to show namespace for a label reference if the label is in the same namespace as the reference location (i.e., local to function).

- ## Method Details

  - ### values

    public static CodeUnitFormatOptions.ShowNamespace[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CodeUnitFormatOptions.ShowNamespace valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null